Bug 243653 - kudzu fails to cope with quoted parameters in ifcfg files
Summary: kudzu fails to cope with quoted parameters in ifcfg files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kudzu   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Milan Zázrivec
URL:
Whiteboard:
Keywords:
Depends On: 243651
Blocks: 351291 RHEL5u2_relnotes
TreeView+ depends on / blocked
 
Reported: 2007-06-11 09:10 UTC by Martin Poole
Modified: 2018-10-19 18:35 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 17:27:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to handle quoted parameters (949 bytes, patch)
2007-06-11 09:10 UTC, Martin Poole
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0329 normal SHIPPED_LIVE kudzu bug fix update 2008-05-20 13:24:13 UTC

Description Martin Poole 2007-06-11 09:10:09 UTC
+++ This bug was initially created as a clone of Bug #243651 +++

Description of problem:

kudzu fails to cope with quoted parameters in ifcfg files

Version-Release number of selected component (if applicable):

1.2.57.1.13

How reproducible:

always

Steps to Reproduce:
1. edit ifcfg-* files and quote DEVICE/HWADDR lines
2. run kudzu
3.
  
Actual results:

kudzu does not match devices and regenerates files

Expected results:

copes with quoted parameters and uses existing files

Additional info:

-- Additional comment from mpoole@redhat.com on 2007-06-11 05:07 EST --
Created an attachment (id=156685)
patch to handle quoted parameters

Comment 1 Martin Poole 2007-06-11 09:10:10 UTC
Created attachment 156686 [details]
patch to handle quoted parameters

Comment 2 Bill Nottingham 2007-06-14 16:57:25 UTC
Note: this requires respinning initscripts too. There's something to be said for
'don't mis-edit files', though. :)

Comment 3 RHEL Product and Program Management 2007-10-16 03:57:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Bill Nottingham 2007-10-24 20:35:15 UTC
Also, with regards to this patch, it will break if someone *wants* there to be a
quote in their device name. As that's legal (if odd) for the device name, I'm
somewhat inclined to not dequote that parameter. (And no, I don't want to
introduce escapes.)

Comment 6 Bill Nottingham 2008-01-09 21:26:59 UTC
Added in 1.2.57.1.16-1.

Comment 8 Don Domingo 2008-01-20 23:21:20 UTC
added to RHEL5.2 release notes under "Resolved Issues":

<quote>
kudzu can now properly parse ifcfg-* files that contain quotes. In addition,
kudzu no longer modifies network configurations on device change if the device's
HWADDR is not specified.
</quote>

please advise if any revisions are in order. thanks!

Comment 9 Issue Tracker 2008-01-21 16:12:41 UTC
----- Additional Comments From gmuelas@de.ibm.com  2008-01-21 05:28 EDT
-------
Hello Red Hat,

Release Notes proposed for RHEL 5.2 will be verify when we are able to
test the
statement on the first beta (or alpha if any arrives).

Still pending are:
- a KB for RHEL 5 and RHEL 5.1 where quotes should not be use except for
OPTIONS
when giving more than one pair.
- updating Installation and Deployment Guide explaining how to use
parameter
OPTIONS (at least with an example) in ifcfg in general.

Thanks for your support,
Gonzalo. 


This event sent from IssueTracker by jkachuck 
 issue 122098

Comment 10 Bill Nottingham 2008-01-21 18:06:59 UTC
Might want to change the relnote to "contain quotes around the HWADDR or
SUBCHANNELS parameter.", just to be specific.

Comment 11 Don Domingo 2008-01-21 23:01:30 UTC
thanks Bill, edited as advised.

Comment 13 Milan Zázrivec 2008-04-02 09:31:51 UTC
Verified with kudzu-1.2.57.1.16-2 / RHEL5.2-Server-20080401.nightly

Comment 15 errata-xmlrpc 2008-05-21 17:27:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0329.html



Note You need to log in before you can comment on or make changes to this bug.